#include <RTL.h>

extern void __task LED_Task        (void);            
extern void __task Button_Task     (void);         
extern void __task ADC_Sample_Task (void);            
extern void __task Average_Task    (void);        
extern void __task UART_Task       (void);
extern void __task ADC_Calc_Task   (void);


extern OS_TID idLED_Task;                       /* assigned task id of task: LED_Task    */
extern OS_TID idButton_Task;                    /* assigned task id of task: Button_Task */
extern OS_TID idADC_Task;                       /* assigned task id of task: ADC_Task    */
extern OS_TID idAverage_Task;                   /* assigned task id of task: Average_Task*/
extern OS_TID idUART_Task;                      /* assigned task id of task: UART_Task   */ 
extern OS_TID idADC_Calc_Task;          

extern U32 mpoolADC[200];
extern U32 mpoolCom[500];

extern os_mbx_declare (ComBox, 4); 

extern void InitGPIO   (void);
extern void InitADC    (void);
extern void InitHAL    (void);
extern int  GetValADC  (void);
extern void InitSerial (void);
extern void LED_On  (unsigned char led);
extern void LED_Off (unsigned char led);
extern void LED_Toggle (unsigned char led);
extern void Button_IRQHandler (void); 
extern void EnableButtonIRQ   (void);
extern void DisableButtonIRQ  (void);

